package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.policy_special.StOverdueDetail;
import com.bcxin.ins.vo.OverdueDetailVo;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;

public interface InsOverdueDetailAPIService extends IService<StOverdueDetail> {
	
	public List<StOverdueDetail> selectInsOverdueDetailByInsBadDebt(Long oid);
	
	public void setOverdueDetailByOverdueDetailVo(List<OverdueDetailVo> voList, Long bad_debt_id);
	
	public void accordingToTheOverdueDetailVoSetUpInsOverdueDetail(OverdueDetailVo vo, Long bad_debt_id);
	
	public List<OverdueDetailVo> getOverdueDetailVoListByInsOverdueDetailList(List<StOverdueDetail> odList);
	
	public OverdueDetailVo accordingToInsOverdueDetailIntoOverdueDetailVo(StOverdueDetail od);
}
